Bug 217484 - Review Request: rlwrap - Wrapper for GNU readline
Review Request: rlwrap - Wrapper for GNU readline
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-28 00:41 EST by Michel Alexandre Salim
Modified: 2014-05-27 08:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 10:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-11-28 00:41:00 EST
Spec URL: http://hircus.org/fedora/rlwrap/rlwrap.spec
SRPM URL: http://hircus.org/fedora/rlwrap/rlwrap-0.28-1.src.rpm
Description:

rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.
Comment 1 Parag AN(पराग) 2006-11-28 01:11:54 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
057871cb04d9dec237ac565aff5a93d7  rlwrap-0.28.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel or any subpackages exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
APPROVED.
Comment 2 Michel Alexandre Salim 2006-11-29 10:06:59 EST
Built in Rawhide. Requesting stable branches now. Thanks!
Comment 3 Michel Alexandre Salim 2007-09-11 23:03:47 EDT
Package Change Request
======================
Package Name: rlwrap
New Branches: EL-4 EL-5
Comment 4 Kevin Fenzi 2007-09-12 13:48:35 EDT
cvs done.
Comment 5 Michel Alexandre Salim 2014-05-22 23:19:37 EDT
Package Change Request
======================
Package Name: rlwrap
New Branches: epel7
Owners: salimma
Comment 6 Gwyn Ciesla 2014-05-27 08:38:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.